%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif
%global realname UPnP-Inspector

Name:           upnp-inspector
Version:        0.2.2 
Release:        2%{?dist}
Summary:        UPnP Device and Service analyzer

Group:          Applications/Multimedia
License:        MIT
URL:            http://coherence.beebits.net/wiki/UPnP-Inspector
Source0:        http://coherence.beebits.net/download/%{realname}-%{version}.tar.gz
# Man page from Debian
Patch0:         %{name}-0.2.2-mapage.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  desktop-file-utils
Requires:       python
Requires:       pygtk2
Requires:       python-Coherence
Requires:       hicolor-icon-theme


%description
The Inspector is an UPnP Device and Service analyzer, and a debugging tool, 
based on the Coherence DLNA/UPnP framework.

It is a GUI to discover and explore UPnP devices on your network. Detected 
devices are displayed in a tree-view, where - amongst other things - actions 
can be called and state-variables be queried. 


%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1

# Fix desktop file
sed -i 's/Icon=inspector.xpm/Icon=inspector/' misc/%{name}.desktop


%build
python setup.py build


%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --skip-build --root $RPM_BUILD_ROOT

# Install desktop file
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  misc/%{name}.desktop

# Install icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -p -m 0644 misc/inspector.xpm \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/

# Install man page
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 misc/%{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1/


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{python_sitelib}/UPnP_Inspector*.egg-info
%{python_sitelib}/upnp_inspector/
%{_datadir}/icons/hicolor/*/apps/inspector.xpm
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1*
%doc LICENCE NEWS README


%changelog
* Sat Apr 10 2010 Andrea Musuruane <musuruan@gmail.com> 0.2.2-2
- Added man page from Debian

* Sat Apr 03 2010 Andrea Musuruane <musuruan@gmail.com> 0.2.2-1
- First release

